/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/ClientSide/css.css to edit this template
*/
/* 
    Created on : 26/06/2022, 16:42:05
    Author     : Carlos Braga
*/



*[ng-click] {
    cursor: pointer;
}
.page_container {
    max-width: 960px;
    margin: 0 auto;
    width: 100%;
    padding: 18px 6px;
    box-sizing: border-box;
}
.topbar_wrapper {
    max-width: 960px;
    margin: 0 auto;
    width: 100%;
    box-sizing: border-box;
    padding: 0 12px !important;
}
.schedule_bar_wrapper {
    max-width: 960px;
    margin: 0 auto;
}
.big.blue.floating_cart_button.md-button.md-ink-ripple {
    display: none;
}

button.backtotopbutton {
    right: 50%;
    transform: translate(480px, 0px);
}

.desktopHeaderOptions {
    position: relative;
}
.desktopHeaderOptions > a {
    color: #fcb927;
    border: 1px solid #fcb927;
    padding: 6px 24px;
    border-radius: 24px;
    height: 36px;
}
.desktopHeaderOptions > a > p {
    color: #fcb927;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    max-width: 110px;
    margin: 0 6px 0 0;
    font-size: 14px;
    font-weight: 700;
}
.desktopHeaderOptions ul li a {
    padding: 6px;
    white-space: nowrap;
    min-width: 150px;
    box-sizing: border-box;
    display: block;
    font-size: 12px;
    font-weight: 700;
    color: #884893;
}
.desktopHeaderOptions ul li a:hover {
    background: rgb(252 185 39 / 10%);
}
.desktopHeaderOptionsBackdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
    z-index: 100;
}
.desktopHeaderOptionsBackdrop.active {
    width: 100%;
    height: 100%;
}
.desktopHeaderOptions ul {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
    background: #fff;
    z-index: 100;
    flex-direction: column;
    list-style: none;
    padding: 12px 24px;
    margin: 0;
    border: 2px solid #65655E;
    border-radius: 24px;
}
.desktopHeaderOptions ul.active {
    display: flex;
}
.desktopHeaderOptions ul .separator {
    border-bottom: 1px solid #fcb927;
}




.cart_container, notif .cart_container, cart .cart_container {
    top: 0;
    right: -400px;
    height: 100%;
    width: 400px;
    bottom: unset;
}
.cart_container.active, notif .cart_container.active, cart .cart_container.active {
    top: 0;
    right: 0;
}
.slideout_item_backdrop {
    position: fixed;
    width: 0;
    height: 0;
    top: 0;
    left: 0;
    z-index: 1000;
    transition: .15s background linear;
}
.slideout_item_backdrop.active {
    width: 100%;
    height: 100%;
    background: rgb(0 0 0 / 55%);
}


.restaurant_action_wrapper {
    /* position: absolute; */
    width: 100%;
    /*height: 100%;*/
    /* top: 0; */
    /* left: 50%; */
    /* transform: translate(-50%,0); */
    padding: 0 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    margin: 0;
    box-shadow: 0 0;
}
.restaurant_action_line_wrapper {
    flex-direction: row-reverse;
    width: 100%;
    max-width: unset;
}




ul.home_rest_list.homeview {
    display: flex;
    flex-wrap: wrap;
}
li.home_rest_list_item {
    flex: 50%;
    padding: 0;
    box-sizing: border-box;
    flex-grow: unset;
}
.home_rest_item_wrapper {
    /*box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);*/
    padding: 12px;
    /*border-radius: 24px;*/
}
ul.bullets_list_wrapper {
    flex-wrap: wrap;
}
/*li.bullets_list_item {
    white-space: nowrap;
    font-size: 12px;
    border: 1px solid #202a4e;
    line-height: 32px;
    padding: 0 8px;
    border-radius: 18px;
    margin: 0 8px 8px 0;
    box-sizing: border-box;
    transition: .15s all linear;
}*/










.page_wrapper {
    max-width: 960px;
    margin: 0 auto;
    width: 100%;
}

.product_bottom_sheet_container {
    top: 0;
    right: -400px;
    left: unset;
    height: 100%;
    width: 400px;
    bottom: unset;
    z-index: 1000;
    max-height: 100%;
}
.product_bottom_sheet_container.active {
    top: 0;
    right: 0;
}
.product_bottom_sheet_submit_container {
    position: relative;
    bottom: unset;
    left: unset;
}
.product_bottom_sheet_container.active .product_bottom_sheet_submit_container {
    height: auto;
    box-shadow: 0 0;
}
.dish_selection_quantity_container {
    padding: 8px;
}
.product_bottom_sheet_submit_wrapper {
    padding: 6px 0;
}

md-tabs.checkout_pages form.profileForm {
    flex-direction: row;
    min-height: unset !important;
}
.cart_footer_container {
    box-shadow: 0 0;
}







.page_container.personal_pages ul {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
    grid-column-gap: 12px;
    grid-row-gap: 12px;
}
.home_rest_item_action_container {
    margin: 6px 0 0;
}

md-tabs.checkout_pages .small_dialog_title_wrapper {
    align-items: center;
}
md-tabs.checkout_pages .small_dialog_body_container {
    text-align: center;
}



.no_results_wrapper button.big.red.md-button.md-ink-ripple {
    display: block !important;
}
button.big.red.medium.personaltopbutton.md-button.md-ink-ripple {
    display: block !important;
    height: auto;
    padding: 0 24px;
    width: auto;
    margin: 0;
}
.page_container.personal_pages ul li.moradas_list_item {
    flex: 50%;
    padding: 0 12px;
    box-sizing: border-box;
}

.page_container.personal_pages {
    min-height: calc(100vh - 280px) !important;
}


.page_container {
    min-height: calc(100vh - 344px) !important;
}
md-dialog.md-default-theme, md-dialog {
    min-width: 480px;
    max-width: 480px;
    border-radius: 20px;
}
.fullscreen_dialog_container.tab_container {
    height: auto;
}
div#main_content_container {
    padding: 0px !important;
    min-height: calc(100vh - 156px);
    display: flex;
    flex-direction: column;
}
div#main_content_container ui-view {
    flex: auto;
}
button.big.blue.floating_cart_button.pedido.md-button.md-ink-ripple {
    position: relative;
    max-width: 960px;
    margin: 0 auto;
    padding: 0 12px;
    box-sizing: border-box;
    width: 100%;
    left: 0;
}
.loading_template {
    background: #fff;
    z-index: 1000000;
}
ul.home_rest_list.homeview {
    min-height: unset;
}
button.home_cat_button.md-button.md-ink-ripple p {
    bottom: unset;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
    width: 100%;
    box-sizing: border-box;
    padding: 0 36px;
}
.page_container.personal_pages ul {
    height: auto;
}




.footer_container {
    display: block !important;
    background: #884893;
    margin: 50px 0 0;
}
.footer_wrapper {
    max-width: 960px;
    padding: 24px 12px;
    box-sizing: border-box;
    margin: 0 auto;
}
.footer_column_wrapper {
    display: flex;
    flex-direction: column;
    max-width: 125px;
    padding: 0 12px;
}
.footer_column_wrapper img {
    height: 34px;
}
.footer_column_wrapper h5 {
    color: #fff;
}
.footer_column_wrapper p {
    color: #fff;
}
.footer_column_wrapper a {
    color: #fff;
}



md-dialog.infoPopup {
    max-width: 850px;
    width: 100%;
}
md-dialog.infoPopup md-tabs {
    flex: auto;
    overflow-y: auto;
}

button.big.red.floating_button.md-button.md-ink-ripple {
    display: none;
}


.loading_template {
    top: 0;
    height: 100%;
}
div#topbar {
    z-index: 1000;
    position: relative;
}

.restaurant_header_wrapper {
    position: relative;
    max-width: 960px;
    margin: 0 auto;
    padding: 0 12px;
}
.restaurant_img_wrapper {
    background-size: 20% !important;
    position: relative;
}



.layout-gt-lg-row:not(.layout-gt-lg-column):not(.layout-xl-column)>.md-auto-horizontal-margin:not(:first-child), .layout-gt-md-row:not(.layout-gt-lg-column):not(.layout-xl-column)>.md-auto-horizontal-margin:not(:first-child), .layout-gt-sm-row:not(.layout-gt-md-column):not(.layout-gt-lg-column):not(.layout-xl-column)>.md-auto-horizontal-margin:not(:first-child), .layout-gt-xs-row:not(.layout-gt-sm-column):not(.layout-gt-md-column):not(.layout-gt-lg-column):not(.layout-xl-column)>.md-auto-horizontal-margin:not(:first-child), .layout-row:not(.layout-gt-xs-column):not(.layout-gt-sm-column):not(.layout-gt-md-column):not(.layout-gt-lg-column):not(.layout-xl-column)>.md-auto-horizontal-margin:not(:first-child), .layout-xl-row:not(.layout-gt-lg-column):not(.layout-xl-column)>.md-auto-horizontal-margin:not(:first-child) {
    margin: 12px 0 0;
}

* {
    scrollbar-width: none;
    scrollbar-color: #8dc7e2 #ede6e3;
}
/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}
*::-webkit-scrollbar-track {
    background: #EDF2F4;
}
*::-webkit-scrollbar-thumb {
    background-color: #fcb927;
    border-radius: 0;
    border: 0px solid #ffffff;
}






#restaurantHeader > div.layout-align-start-start.layout-row {
    max-width: 960px;
    padding: 0 12px;
    margin: 0 auto;
}
.restaurant_img_wrapper {
    margin: 12px 0 !important;
    width: 100%;
    border-radius: 24px;
    overflow: hidden;
}
#restaurantHeader .faq_page_form_title {
    margin: 12px 0 0 !important;
}
.header_details_wrapper {
    padding: 12px 0 0;
}
.restaurant_name {
    margin: 0 0px 0 !important;
}
.pedido_state_details_container {
    margin: 12px 0px 0;
}